package soln;

import java.util.Scanner;

import helper.Piggybank;

/**
 * Name: Last Name, First Name
 * 
 * Student Number: xxxxxxxxx
 * 
 * Declaration: I hereby assert that this application was written by me. I
 * understand that it is a violation of the Senate Policy on Academic Honesty
 * for me to submit someone else's work without identifying it as such and that
 * this is a form of cheating. I also understand that if it is discovered that I
 * have committed a breach of Academic Honesty for cheating or any other charge,
 * then the full extent of available penalties may be brought against me.
 * 
 */
public class Check10J {

	public static void main(String[] args) {

		// Step 1a. Create a PiggyBank object called
		// piggybank1.
		// public Piggybank()
		// You can locate these constructors in the Piggybank API and read about
		// them.
		// To find the Piggybank API, open the index.html file that is found in
		// this project under the package called doc. Please note the Piggybank
		// API
		// previous use.
		Piggybank piggybank1 = new Piggybank();

		// Step 1b. Create two variables called quarters and nickels as type
		// integer
		int quarters;
		int nickels;

		// Step 1c. Prompt the user with them message
		// "Input the number of nickels:"
		// Use the Scanner to get the quantity of
		// nickels refer to section 2.2.5 (Page 68 2ed and Page 68 3ed)
		// Use the Scanner to get the quantity of
		// nickels refer to section 2.2.5 (Page 68 2ed and Page 68 3ed)
		// Implement this step so that if the user enters a quantity that is
		// negative (i.e., not zero or higher), your program will re-prompt
		// repeatedly until the user does enter a non-negative quantity.

		Scanner input = new Scanner(System.in);
		System.out.println("Input the number of nickels:");
		for (nickels = input.nextInt(); nickels < 0; nickels = input.nextInt()) {
			System.out.println("Input the number of nickels:");
		}

		// Step 1d. Look at the Piggybank API for the new method
		// called addANickel().
		// Create a for loop that will add the nickels one at a time until all
		// of the specified numbers of nickels have been added to the piggybank.
		// For reference look at page
		// section 5.2.2 (Page 189 2ed and Page 188
		// 3ed)
		// When the for loop finishes print out the string
		// "The value of the piggybank1 is " followed by the total value
		// of piggybank1 and the string " cents"
		// (Hint: getTotalValueOFPiggyBank()). This output may result in an
		// output of more than 100 cents, but this is ok for this step.
		for (int i = 0; i < nickels; i++) {
			piggybank1.addANickel();
		}
		System.out.println("The value of the piggy bank is "
				+ piggybank1.getTotalValueOfPiggybank() + " cent(s)");

		// Step 1e. Prompt the user with them message
		// "Input the number of quarters:" Then get the quantity input from the
		// user and store it in quarters.
		// Implement this step so that if the user enters a quantity that is
		// negative (i.e., not zero or higher), your program will re-prompt
		// repeatedly until the user does enter a non-negative quantity.

		System.out.println("Input the number of quarters:");
		for (quarters = input.nextInt(); quarters < 0; quarters = input
				.nextInt()) {
			System.out.println("Input the number of quarters:");
		}

		// Step 1f. Look at the Piggybank API for the new method
		// called addAQuarter()
		// Create a for loop that will add the quarters one at a time until all
		// of the specified numbers of nickels have been added to the piggybank.
		// When the for loop finishes print out the string
		// "The value of the piggybank1 is " followed by the total value
		// of piggybank1 and the string " cents"
		// (Hint: getTotalValueOFPiggyBank()). This output may result in an
		// output of more than 100 cents, but this is ok for this step.
		for (int i = 0; i < quarters; i++) {
			piggybank1.addAQuarter();
		}
		System.out.println("The value of the piggy bank is "
				+ piggybank1.getTotalValueOfPiggybank() + " cent(s)");


		// Step 1g. Answer the written comprehension question that is found in
		// the file Check10K.txt. It is listed in this project as the last
		// entry as "Check10K".

		// Step 1h
		// Print out the total value of the piggybank. If the value is less
		// than a dollar, then use the following:
		// "The value of the piggybank is ", followed by the total value
		// of piggybank1, followed by " cents"
		// If the total value of the piggybank
		// If the value of the piggybank is more than a dollar, then derive the
		// number of dollars in the piggybank (an integer number) and the number
		// of cents.
		// Use the following:
		// "The value of the piggybank is ", followed by the number of dollars,
		// followed by " dollars and ", followed by the number of cents,
		// followed by " cent(s)"
		// E.g. "The value of the piggybank is x dollar(s) and y cents", but
		// instead of x and y, you should insert the actual integer values.
		// Recall the "quotient" operator (also known as integer division, see
		// the "division" bullet point under section 1.3.1
		// "The int Arithmetic Operators"). Also recall the remainder operator
		// (%), which is the next bullet point.
		int totalValue = piggybank1.getTotalValueOfPiggybank();
		final int NUM_CENTS_IN_DOLLAR = 100;

		int numDollars = totalValue / NUM_CENTS_IN_DOLLAR;
		if (numDollars >= 1) {
			int numCents = totalValue % (numDollars * NUM_CENTS_IN_DOLLAR);
			System.out.println("The value of the piggybank1 is " + numDollars
					+ " dollar(s) and " + numCents + " cents");
		} else {
			System.out.println("The value of the piggybank1 is "
					+ piggybank1.getTotalValueOfPiggybank() + " cents");
		}

	}
}
